Subject: [Srcomp] Section 3.1 (Analysis For SRv6 based)

From: Ron Bonica <[email-masked]>
Date: Tue, 1 Jun 2021 18:44:50 +0000

Folks,

The following is an analysis of Section 3.1 (Analysis For SRv6 based) for the CRH:

   O U.RFC8402:  Yes
   o  U.RFC8754: No
   o  U.PGM:     Yes (It allows classic SIDs and supports all required SID types)

   o  U.IGP:     No  (draft-bonica-lsr-crh-isis-extensions)
   o  U.BGP:     No  (draft-sangli-bess-bpg-vpn-srm6
   o  U.POL:     No  (draft required)
   o  U.BLS:     No  (draft required)
   o  U.SVC:     N/A (covered in CRH draft)
   o  U.OAM:     N/A (covered in CRH draft)
   o  U.ALG:     Yes [I-D.ietf-lsr-ip-flexalgo uses much of I-D.ietf-lsr-flex-algo].

                                            Ron

Juniper Business Use Only

---

From: "Darren Dukes (ddukes)" <[email-masked]>
Date: Tue, 1 Jun 2021 21:06:43 +0000

I believe there are some errors in this analysis, and propose the following corrections.

RFC8402: No
CRH does not use SRv6 architecture as specified in RFC8402
Some relevant sections of RFC8402:

  *   “SR can be applied to the IPv6 architecture with a new type of routing header called the SR Header (SRH) [IPv6-SRH<https://datatracker.ietf.org/doc/html/rfc8402#ref-IPv6-SRH>].  An instruction is associated with a segment and encoded as an IPv6 address.”
  *   “This document defines the IGP, BGP, and Binding segments for the SR-MPLS and SRv6 data planes.”
  *   “SRv6: the instantiation of SR on the IPv6 data plane.”
  *   “SRv6 SID: an IPv6 address explicitly associated with the segment.”
It does not use the SRv6 data plane nor the SRv6 control plane. It is a new data plane requiring a new control plane.
CRH SIDs are not SRv6 SIDs, CRH is not the SRv6 data plane.

U.PGM: No
As discussed in our meetings and documented in the analysis, there is no practical use of SRv6 SIDs encoded as CRH SIDs.

  *   Mapping CRH SIDs to SRv6 SIDs at the next segment endpoint has no practical use.
     *   For VPN SIDs the state explosion at P nodes makes the mapping entirely impractical

U.ALG: No
IP flexalgo is a new application, not SR.
As indicated draft-ietf-lsr-ip-flexalgo is used by CRH nodes as stated in the draft:

  “Using Flex-Algorithm for regular IPv4 and
   IPv6 prefixes represents a new Flex-Algorithm application (IP Flex-
   Algorithm), and as such the Flex-Algorithm participation for the IP
   Flex-Algorithm application MUST be signalled independently of any
   other Flex-Algorithm applications (e.g.  SR).”
CRH nodes cannot make use of draft-ietf-lsr-flex-algo and the SR application.  They cannot support the “way for a router to use IGPs to associate one or more SR Prefix-SIDs or SRv6 locators with a particular Flex-Algorithm.  Each such Prefix-SID or SRv6 locator then represents a path that is computed according to the identified Flex-Algorithm.” As specified in draft-ietf-lsr-flex-algo.

On 2021-06-01, 2:45 PM, "Srcomp" <[email-masked]> wrote:

Folks,

   O U.RFC8402:  Yes
   o  U.RFC8754: No

                                            Ron

---

From: Ron Bonica <[email-masked]>
Date: Tue, 1 Jun 2021 21:26:50 +0000

Let's discuss this tomorrow.

                           Ron

Juniper Business Use Only
From: Darren Dukes (ddukes) <ddukes=[email-masked]>
Sent: Tuesday, June 1, 2021 5:07 PM
To: Ron Bonica <[email-masked]>; [email-masked]
Subject: Re: Section 3.1 (Analysis For SRv6 based)

[External Email. Be cautious of content]

RFC8402: No

  *   "SR can be applied to the IPv6 architecture with a new type of routing header called the SR Header (SRH) [IPv6-SRH<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/html/rfc8402*ref-IPv6-SRH__;Iw!!NEt6yMaO-gk!WKM7cwE9MJcyYIb9E6_LjExieAqVaQya4AGp_2EjJPgMWkwsdFNpDkpIKNgqzUBq$>].  An instruction is associated with a segment and encoded as an IPv6 address."
  *   "This document defines the IGP, BGP, and Binding segments for the SR-MPLS and SRv6 data planes."
  *   "SRv6: the instantiation of SR on the IPv6 data plane."
  *   "SRv6 SID: an IPv6 address explicitly associated with the segment."
It does not use the SRv6 data plane nor the SRv6 control plane. It is a new data plane requiring a new control plane.
CRH SIDs are not SRv6 SIDs, CRH is not the SRv6 data plane.

U.PGM: No

U.ALG: No

  "Using Flex-Algorithm for regular IPv4 and
   IPv6 prefixes represents a new Flex-Algorithm application (IP Flex-
   Algorithm), and as such the Flex-Algorithm participation for the IP
   Flex-Algorithm application MUST be signalled independently of any
   other Flex-Algorithm applications (e.g.  SR)."
CRH nodes cannot make use of draft-ietf-lsr-flex-algo and the SR application.  They cannot support the "way for a router to use IGPs to associate one or more SR Prefix-SIDs or SRv6 locators with a particular Flex-Algorithm.  Each such Prefix-SID or SRv6 locator then represents a path that is computed according to the identified Flex-Algorithm." As specified in draft-ietf-lsr-flex-algo.

On 2021-06-01, 2:45 PM, "Srcomp" <[email-masked]<mailto:[email-masked]>> wrote:

Folks,

   O U.RFC8402:  Yes
   o  U.RFC8754: No

                                            Ron